<?php

namespace App\Filament\Resources\Horaires\Schemas;

use Filament\Forms\Components\Select;
use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;

class HoraireForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                Select::make('niveau_id')
                    ->relationship('niveau', 'id')
                    ->required(),
                Select::make('discipline_id')
                    ->relationship('discipline', 'id')
                    ->required(),
                TextInput::make('horaire')
                    ->required()
                    ->numeric(),
            ]);
    }
}
